function x = rhopsi2vec( rho, psi )
% x   n-by-3 matrix, where n is the number of data,
%     for denoting vectors in 3D Minkowski space

x = zeros( length(rho), 3 );

x = [ cosh(rho), sinh(rho).*cos(psi), sinh(rho).*sin(psi) ];